X
Tap here to go to the mobile version of the site.
Your Firefox is out of date and may contain a security risk! Upgrade Firefox

Support Forum

How do I go back to firefox 3.6.14? 3.6.15 crashes when I open.

Posted

How do I go back to the previous version of firefox (3.6.14)?

I installed Firefox 3.6.15 last night and updated all my plugins. Now Firefox crashes immediately after opening. I'm running Vista Ultimate.

There is no crash information submitted. I just get the "firefox has stopped working" message. Here's the info from that: Problem signature:

 Problem Event Name:	APPCRASH
 Application Name:	firefox.exe
 Application Version:	1.9.2.4079
 Application Timestamp:	4d6fb7c0
 Fault Module Name:	ntdll.dll
 Fault Module Version:	6.0.6002.18327
 Fault Module Timestamp:	4cb73436
 Exception Code:	c0000005
 Exception Offset:	000469ce
 OS Version:	6.0.6002.2.2.0.256.1
 Locale ID:	1033
 Additional Information 1:	1a9e
 Additional Information 2:	ca321f9d3309051b0d4a7a671dc893c6
 Additional Information 3:	4a7f
 Additional Information 4:	71f11eaed1268bd63f4a971e81cd5649

Read our privacy statement:

 http://go.microsoft.com/fwlink/?linkid=50163&clcid=0x0409

Chosen solution

I just resolved a Firefox crashing problem on my system. The problem was that Norton Security software had deleted a needed file. The file is C:/Program Files(x86)/Mozilla Firefox/plugin-container.exe. If that file is not there, you need to re-install Firefox, and then you should be good to go.

Read this answer in context 6

Additional System Details

Installed Plug-ins

Silverlight Plug-In Windows Media Player Plug-in Dynamic Link Library QuickTime Plug-in 7.6.9.0 Shockwave Flash Java Embedding Plugin 1.6.0.24

Application

  • User Agent:

More Information

stigot 1 solutions 3 answers

Chosen Solution

I just resolved a Firefox crashing problem on my system. The problem was that Norton Security software had deleted a needed file. The file is C:/Program Files(x86)/Mozilla Firefox/plugin-container.exe. If that file is not there, you need to re-install Firefox, and then you should be good to go.

Question owner

Thanks for the information. I uninstalled firefox, rebooted my PC, installed firefox 3.6.15 and told Norton to allow plugin-container.exe to run. Now it's working. Thanks again for the help.

pyroman 0 solutions 1 answers

Helpful Reply

So how do I go back? I've tried the reinstall and I get XUL runner errors. It just refuses to open no matter what I do since the last"update" I want to go back or I'll have to get another browser. Help.

Question owner

I did not have to go back. The steps I posted above allowed me to use 3.6.15, but I had Internet Explorer to use as an alternate browser. I found a posting which should allow you to install a prior version at http://support.mozilla.com/en-US/kb/Installing%20a%20previous%20version%20of%20Firefox?s=previous+version&as=s, but I never used them.

Good luck.